Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginRule

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginRule

Direct Known Subclasses:
  PluginAlgebraicRule, PluginAssignmentRule, PluginRateRule

    public class PluginRule

extends PluginSBase

This class wraps org.sbml.libsbml.Rule for the plug-in.

Author:

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginRule()`

Method Summary
`java.lang.String` | `getFormula()`
`ASTNode` | `getMath()`
`PluginModel` | `getParentModel()`
`void` | `setFormula(java.lang.String fomula)` Sets the Formula of this PluginRule.
`void` | `setMath(ASTNode math)` Sets the Math of this PluginRule.
`void` | `update(PluginRule rule)` Update all properties of this PluginRule to the same as the given PluginRule.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginRule

    public PluginRule()

Method Detail

### update

    public void update(PluginRule rule)

  Update all properties of this PluginRule to the same as the given PluginRule.

  Parameters:
    `rule` -

### getMath

    public ASTNode getMath()

  Returns:
    the Math of this PluginRule.

### setMath

    public void setMath(ASTNode math)

  Sets the Math of this PluginRule.

  Parameters:
    `math` -

### getFormula

    public java.lang.String getFormula()

  Returns:
    Formula of this PluginRule.

### setFormula

    public void setFormula(java.lang.String fomula)

  Sets the Formula of this PluginRule.

  Parameters:
    `fomula` -

### getParentModel

    public PluginModel getParentModel()

  Returns:
    the parent PluginModel if the ParentSBase is PluginModel, null otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD